Bug 1409896 - NetworkManager assertion failure in devices/nm-device.c:9015:<unknown-fcn>
Summary: NetworkManager assertion failure in devices/nm-device.c:9015:<unknown-fcn>
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 19:06 UTC by Stef Walter
Modified: 2017-12-12 10:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:17:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Stef Walter 2017-01-03 19:06:38 UTC
NetworkManager crashes due to an assertion failure. This is seen regularly in the Cockpit integration tests.

Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <info>  [1483469107.8112] dnsmasq-manager: starting dnsmasq...
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <info>  [1483469107.8124] device (ens6): state change: ip-config -> ip-check (reason 'none') [70 80 0]
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <info>  [1483469107.8136] device (ens2): state change: config -> ip-config (reason 'none') [50 70 0]
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <info>  [1483469107.8233] dhcp4 (ens2): activation: beginning transaction (timeout in 45 seconds)
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: dnsmasq: failed to create listening socket for 10.42.0.1: Address already in use
Jan 03 13:45:07 localhost.localdomain dnsmasq[1795]: failed to create listening socket for 10.42.0.1: Address already in use
Jan 03 13:45:07 localhost.localdomain dnsmasq[1795]: FAILED to start up
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <info>  [1483469107.8685] dhcp4 (ens2): dhclient started with pid 1796
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: <warn>  [1483469107.8696] dnsmasq-manager: dnsmasq exited with error: Network access problem (address in use, permissions) (2)
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: **
Jan 03 13:45:07 localhost.localdomain NetworkManager[845]: NetworkManager:ERROR:devices/nm-device.c:9015:<unknown-fcn>: assertion failed: (<dropped>)
Jan 03 13:45:07 localhost.localdomain audit[845]: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 subj=system_u:system_r:NetworkManager_t:s0 pid=845 comm="NetworkManager" exe="/usr/sbin/NetworkManager" sig=6

Comment 1 Stef Walter 2017-01-03 19:07:03 UTC
What seems like a similar issue on RHEL: https://bugzilla.redhat.com/show_bug.cgi?id=1404148

Comment 2 Stef Walter 2017-01-03 19:07:27 UTC
[root@localhost ~]# rpm -q NetworkManager
NetworkManager-1.4.2-2.fc25.x86_64

Comment 4 Fedora End Of Life 2017-11-16 18:34:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:17:27 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.